<template>
  <div id="signs-item-category-tabs">
    <v-tabs
      background-color="info_dark"
      color="purple"
      show-arrows
      v-model="tab"
    >
      <v-tabs-slider color="teal lighten-3"></v-tabs-slider>

      <v-tab
        class="white--text family-lato-black body-1-signbank text-none"
        v-for="(item, index) in menu_signs_tab"
        :key="index"
        @click="
          $router.push(
            localePath(
              '/dashboard/category-signs/' + item.url,
              $nuxt._i18n.locale
            )
          )
        "
      >
        {{ $t(item.name) }}
      </v-tab>
    </v-tabs>
  </div>
</template>
<script>
export default {
  data() {
    return {
      tab: null,
      menu_signs_tab: [
        { name: "categories.categories_sign.movement_shape", url: "" },
        { name: "categories.categories_sign.word_class", url: "word-class" },
      ],
    };
  },

  mounted() {
    // Fazendo componente carregar antes de renderizar
    this.menu_signs_tab.forEach((val, key) => {
      if (val.url == this.$route.path.split("/")[4]) {
        this.tab = key;
        return;
      }
    });
  },
};
</script>

<style>
#signs-item-category-tabs .v-slide-group__next .v-icon.v-icon,
#signs-item-category-tabs .v-slide-group__prev .v-icon.v-icon {
  color: var(--system_white) !important;
}
</style>
